# Qu::Seqcluster

Cluster DNA/RNA based on k-mer algorithm

## Installation

Add this line to your application's Gemfile:

    gem 'qu-seqcluster'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install qu-seqcluster

## Usage

```
Usage: seqcluster -i seq.fasta -k 9 -c 0.9

Required options:

    -i, --in File                    Input sequence file in fasta format.

Optional options:

    -k, --kvalue Integer             K value, default is 9.
    -o, --out File                   Output file name for storing the results, default is screen.
    -c, --cutoff Float               Cutoff value for the similarity for cluster, default is 0.9.


    -h, --help                       Show this message and quit
    -v, --version                    Show version
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
